PreDeleteEvent (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Class PreDeleteEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.AbstractPreDatabaseOperationEvent
              org.hibernate.event.spi.PreDeleteEvent

All Implemented Interfaces:
  Serializable

    public class PreDeleteEvent

extends AbstractPreDatabaseOperationEvent

Represents a `pre-delete` event, which occurs just prior to performing the deletion of an entity from the database.

See Also:
  Serialized Form

Constructor Summary
`PreDeleteEvent(Object entity, Serializable id, Object[] deletedState, EntityPersister persister, EventSource source)` Constructs an event containing the pertinent information.

Method Summary
`Object[]` | `getDeletedState()` Getter for property 'deletedState'.

Methods inherited from class org.hibernate.event.spi.AbstractPreDatabaseOperationEvent
`getEntity, getId, getPersister, getSource`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreDeleteEvent

    public PreDeleteEvent(Object entity,
                          Serializable id,
                          Object[] deletedState,
                          EntityPersister persister,
                          EventSource source)

  Constructs an event containing the pertinent information.

  Parameters:
    `entity` - The entity to be deleted.
    `id` - The id to use in the deletion.
    `deletedState` - The entity's state at deletion time.
    `persister` - The entity's persister.
    `source` - The session from which the event originated.

Method Detail

### getDeletedState

    public Object[] getDeletedState()

  Getter for property 'deletedState'. This is the entity state at the time of deletion (useful for optomistic locking and such).

  Returns:
    Value for property 'deletedState'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.